clang-tools 8.0.0

Public Member Functions | Static Public Member Functions | List of all members
clang::move::HelperDeclRGBuilder Class Reference

`#include <HelperDeclRefGraph.h>`

Inheritance diagram for clang::move::HelperDeclRGBuilder:
[legend]
Collaboration diagram for clang::move::HelperDeclRGBuilder:
[legend]

## Public Member Functions
| HelperDeclRGBuilder ()
void | run (const ast_matchers::MatchFinder::MatchResult &Result) override
const HelperDeclRefGraph * | getGraph () const

## Static Public Member Functions
static const Decl * | getOutmostClassOrFunDecl (const Decl *D)

## Detailed Description

Definition at line 80 of file HelperDeclRefGraph.h.

## Constructor & Destructor Documentation

## ◆ HelperDeclRGBuilder()

clang::move::HelperDeclRGBuilder::HelperDeclRGBuilder | ( |  | ) |
| inline

Definition at line 82 of file HelperDeclRefGraph.h.

References Result.

## Member Function Documentation

## ◆ getGraph()

const HelperDeclRefGraph* clang::move::HelperDeclRGBuilder::getGraph | ( |  | ) | const
| inline

Definition at line 84 of file HelperDeclRefGraph.h.

References D.

Referenced by clang::move::ClangMoveTool::onEndOfTranslationUnit().

## ◆ getOutmostClassOrFunDecl()

const Decl * clang::move::HelperDeclRGBuilder::getOutmostClassOrFunDecl | ( | const Decl * | D | ) |
| static

Definition at line 91 of file HelperDeclRefGraph.cpp.

References D, and Result.

## ◆ run()

void clang::move::HelperDeclRGBuilder::run | ( | const ast_matchers::MatchFinder::MatchResult & | Result | ) |
| override

Definition at line 104 of file HelperDeclRefGraph.cpp.

The documentation for this class was generated from the following files:

- HelperDeclRefGraph.h
- HelperDeclRefGraph.cpp